com.lowagie.text

## Class Header

- java.lang.Object
- - com.lowagie.text.Meta
  - - com.lowagie.text.Header

All Implemented Interfaces:
  Element

    public class Header
    extends Meta

This is an `Element` that contains some user defined meta information about the document.

Example:

>      Header header = new Header("inspired by", "William Shakespeare");

See Also:
  `Element`, `Meta`

### Field Summary

Fields
`private java.lang.StringBuffer` `name` This is the content of this chunk of text.

### Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

### Constructor Summary

Constructors
Constructor and Description
`Header(java.lang.String name, java.lang.String content)` Constructs a `Meta`.

### Method Summary

Methods
`java.lang.String` `getName()` Returns the name of the meta information.

### Methods inherited from class com.lowagie.text.Meta

`append, getChunks, getContent, getType, isContent, isNestable, process, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.lowagie.text.Element

`toString`

### Field Detail

#### name

    private java.lang.StringBuffer name

This is the content of this chunk of text.

### Constructor Detail

#### Header

    public Header(java.lang.String name,
          java.lang.String content)

Constructs a `Meta`.

Parameters:
  `name` - the name of the meta-information
  `content` - the content

### Method Detail

#### getName

    public java.lang.String getName()

Returns the name of the meta information.

Overrides:
  `getName` in class `Meta`
Returns:
  a `String`